curl --location -g --request POST 'https://client.corrily.com/v1/products' \
--header 'Content-Type: application/json' \
--data-raw '{
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10,
"interval": "month",
"interval_count": 1,
"country_prices": [
{
"country": "ES",
"amount": 50,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}'
{
"message": "Successfully created product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"baseline_id": null,
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}
Products
Create Product
Create a Corrily product using an API instead of our dashboard.
POST
/
v1
/
products
curl --location -g --request POST 'https://client.corrily.com/v1/products' \
--header 'Content-Type: application/json' \
--data-raw '{
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10,
"interval": "month",
"interval_count": 1,
"country_prices": [
{
"country": "ES",
"amount": 50,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}'
{
"message": "Successfully created product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"baseline_id": null,
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}
curl --location -g --request POST 'https://client.corrily.com/v1/products' \
--header 'Content-Type: application/json' \
--data-raw '{
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10,
"interval": "month",
"interval_count": 1,
"country_prices": [
{
"country": "ES",
"amount": 50,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}'
{
"message": "Successfully created product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"baseline_id": null,
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid"
}
]
}
Body Params
string
required
The product identifier you will be calling this product with using Corrily’s
price endpoint.
string
required
The name of the product. Must be unique.
float
required
The base price of the product in
USD.string
required
A string value denoting how often to bill for a subscription. Possible values:
day, week, month, year, one_time.integer
required
An integer denoting how many intervals to bill for the. A monthly product
would have
month as interval and 1 as interval counts, etc. One time
products should have an interval count of 1.[object]
[object]
A list of one or more of the below integration price objects. Not required in the case of a custom integration using the
Subscription and
Charge endpoints where Corrily product IDs are passed to alert us of
payment gateway revenue activity.
Show <stripe>
Show <stripe>
string
required
Should be set to equal
stripe.string
required
The matching Stripe product ID.
Show <stripe_with_interval>
Show <stripe_with_interval>
stripe_with_interval
required
Should be set to equal
stripe_with_interval.string
required
The matching Stripe product
ID.
enum
required
The frequency at which a subscription is billed. One of
day, week,
month or year. Sometimes Stripe products actually encompass more than
what Corrily would consider a product. For example, the Stripe product for a
company’s “Pro Plan” might have two Price
objects one for the monthly
version of the plan, the other for its annual version. Meanwhile, Corrily
would consider these to be two distinct products pro_monthly and
pro_annual. To capture such differences you can pass a
stripe_with_interval integration object which can help separate such
cases.integer
required
The number of intervals (specified in the interval attribute) between
subscription billings. For example, interval=month and interval_count=3
bills every 3 months.
Show <chargebee>
Show <chargebee>
string
required
Should be set to equal
chargebee.string
required
The matching Chargebee plan
ID.
Show <recurly>
Show <recurly>
string
required
Should be set to equal
recurly.string
required
The matching Recurly plan
ID.
string
required
Currency value